Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.framework
Class TestSuite

    java.lang.Object
      |
      +--junit.framework.TestSuite

All Implemented Interfaces:
  Test

public class TestSuite
extends java.lang.Object
implements Test

This class is a fake for JUnit test suite classes. It redirects all your test code to use the test class from the ccl.util.Test class.

Constructor Summary
`TestSuite()` Default constructor expected in Test.
`TestSuite(java.lang.Class testClass_)` Constructor expected by objects who want to create JUnit test suite objects.
`TestSuite(java.lang.String testName)` Standard constructor expected in JUnit TestCase.

Method Summary
`void` | `addTest(Test test)` Simulates to add a test of test suite object to this suite, but there is no functionality implemented yet.
`void` | `addTest(TestCase testCase)` Simulates to add a test case object to this suite, but there is no functionality implemented yet.
`void` | `addTestSuite(java.lang.Class classTestSuite)` Simulates to add a test suite object to this suite, but there is no functionality implemented yet.
`java.util.Vector` | `getSubTests()` Returns all sub tests.
`java.lang.Class` | `getTestClass()` Returns the contained test class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestSuite

    public TestSuite()

  Default constructor expected in Test.

### TestSuite

    public TestSuite(java.lang.String testName)

  Standard constructor expected in JUnit TestCase.

### TestSuite

    public TestSuite(java.lang.Class testClass_)

  Constructor expected by objects who want to create JUnit test suite objects.

Method Detail

### addTest

    public void addTest(TestCase testCase)

  Simulates to add a test case object to this suite, but there is no functionality implemented yet.

### addTestSuite

    public void addTestSuite(java.lang.Class classTestSuite)

  Simulates to add a test suite object to this suite, but there is no functionality implemented yet.

### addTest

    public void addTest(Test test)

  Simulates to add a test of test suite object to this suite, but there is no functionality implemented yet.

### getSubTests

    public java.util.Vector getSubTests()

  Returns all sub tests.

### getTestClass

    public java.lang.Class getTestClass()

  Returns the contained test class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD